%define		status		alpha
%define		pearname	Services_W3C_CSSValidator
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - An Object Oriented Interface to the W3C CSS Validator service
Summary(pl.UTF-8):	%{pearname} - zorientowany obiektowo interfejs do usługi walidacji CSS
Name:		php-pear-%{pearname}
Version:	0.2.3
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	ad89f426eb4e28c889db7e42d5f1a1b5
URL:		http://pear.php.net/package/Services_W3C_CSSValidator/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-HTTP_Request2 >= 0.2.0
Obsoletes:	php-pear-Services_W3C_CSSValidator-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides an object oriented interface to the API of the
W3 CSS Validator application (http://jigsaw.w3.org/css-validator/).
With this package you can connect to a running instance of the
validator and retrieve the validation results (true|false) as well as
the errors and warnings for a a style sheet.

By using the SOAP 1.2 output format from the validator, you are
returned simple objects containing all the information from the
validator.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten udostępnia zorientowanego obiektowo interfejsu do API
usługi kontroli poprawności CSS serwisu W3C
(http://jigsaw.w3.org/css-validator/). Przy użyciu tego pakietu
możliwe jest podłączenie się do instancji walidatora i pobranie wyniku
kontroli poprawności (prawda|fałsz) jak również komunikatów błędów i
ostrzeżeń dla danego arkusza stylów.

Poprzez wykorzystanie formatu SOAP 1.2, w wyniku zwracane są proste
obiekty zawierające wszystkie informacje walidatora.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv ./usr/share/pear/data/Services_W3C_CSSValidator/README .
mv docs/Services_W3C_CSSValidator/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log README
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Services/W3C
%{php_pear_dir}/Services/W3C/CSSValidator
%{php_pear_dir}/Services/W3C/CSSValidator.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Services_W3C_CSSValidator.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> e14bf26
up to 0.2.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 287cf2e
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> a3672a7
- up to 0.2.2

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> a231cb8
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> fbb176b
- updated deps with pearize.sh
- release 4

* Sat May 24 2008 Adam Gołębiowski <adamg@pld-linux.org> e65fc31
- release 3 (updated PEAR deps)

* Sat May 24 2008 Adam Gołębiowski <adamg@pld-linux.org> 1f44002
- PEAR/PEAR-core packages are not directly required

* Sat Apr 12 2008 Jakub Bogusz <qboosh@pld-linux.org> a89cd93
- pl fixes

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 362309f
- rel 2

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 8747c6a
- new

